Subject: Re: [MLS] Contribute as OTRv4 to MLS

From: Sofia <[email-masked]>
Date: Mon, 14 Jan 2019 11:40:14 -0500

Hey!

Sorry for the late reply..

> Fantastic, glad to have you guys here.  One productive way to get involved
> would be to read the draft protocol document [1] and send email to this
> mailing list with your thoughts.

We are very interested in contributing still; but were very busy on OTRv4 things.
This month we will send our thoughts. I'll attend the coming meeting shortly,
so see you there!

> If deniability is
> something that's important to you, it would be helpful to think about how
> you could fit it in as an optional feature.

Mmm... I'm very unsure if it makes sense and very unsure if it is possible. We
can discuss this on more detail.

Thanks!

--
Sofía Celi (aka cherenkov)
@claucece / @cherenkov_d
Cryptographic research and implementation at CAD: https://autonomia.digital/
EF74 1A5F 5692 E56F 14F6  243C 3992 6144 F89D 996F

---

From: Sofia <[email-masked]>
Date: Mon, 14 Jan 2019 11:46:20 -0500

> On Fri, Nov 09, 2018 at 09:41:34AM +0700, nalini elkins wrote:
> >  > If deniability is something that's important to you, it would be helpful
> > to think about how you could fit it in as an optional feature.
> >
> > Just to comment, there is a potential human rights issue (right to life)
> > with deniability.   Although extremely beneficial in a number of
> > circumstances, it is my understanding that deniability can also be used by
> > people such as terrorists to fight lawful subpoenas.
> >
> > I wonder if that is of interest to this group.   Please correct me if my
> > understanding is wrong.  I very much wish to be wrong.
>
> I can't figure out what you mean by that.  Deniability (well, one form
> of it anyway) is the property that the transcript of the protocol
> messages does not imply the plaintext messages that were exchanged.
> Another form is that it does not imply the participation of any
> particular party.  (There are other more complex forms involving online
> informants.)  Plaintext logs are deniable in these senses, since anyone
> could easily forge them to say anything they like.  If we're talking
> subpeonas, note that courts accept plaintext as evidence all the time;
> the role of a deniable protocol is to prevent the protocol transcript
> from *mathematically* implying the message contents or participation.
> (While at the same time the protocol strongly authenticates the
> participants and the message contents to those *in* the conversation.)

I completely agree with professor Goldberg on this. The idea of deniability is
to prevent the transcript from implying message contents and participation while
being strongly  assured you are talking to whom you authenticated with during
the conversation. I don't really understand the comment.

Thanks!